Subject: bug#5078 closed by Leo <[email-masked]> (Re: bug#5078: 23.1.50; vc broken)

From: [email-masked] (Emacs bug Tracking System)
Date: Tue, 01 Dec 2009 15:05:09 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#5078: 23.1.50; vc broken

It has been closed by Leo <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Leo <[email-masked]> by
replying to this email.

-- 
5078: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5078
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5078: 23.1.50; vc broken
From: Leo <[email-masked]>
To: Dan Nicolaescu <[email-masked]>
Cc: [email-masked]
Date: Tue, 01 Dec 2009 14:56:50 +0000

On 2009-12-01 02:00 +0000, Dan Nicolaescu wrote:
>   > I set vc-git-state with edebug and then made some changes to the file.
>   > The following are some return values inside vc-git-state. Does it give a
>   > clue?
>   > 
>   > 1. (vc-git--call nil "add" "--refresh" "--" (file-relative-name file))
>   > 
>   > returns result: 128 (#o200, #x80, ?\200)
>   > 
>   > 2. (vc-git--run-command-string file "diff-index" "-z" "HEAD" "--")
>   > 
>   > returns empty string ""
>
> It seems that git thinks there's no change, if you change that line to:
>
> (vc-git--run-command-string file "diff-index" "-p" "-z" "HEAD" "--")
>
> does it return the diff you've shown in a previous message?

It returns the empty string "" as well.

>   > If I clone the repo, the problem goes away.
>
> Maybe something is corrupted in your tree, maybe comparing the 2 .git
> directories could give some clues.

I think it might be due to incompatibility between git 1.4.x and 1.5.x
as all new repos do not have this problem. This bug can be closed. Thank
you very much for your help along the way.

Best,

Leo

Subject: 23.1.50; vc broken
From: Leo <[email-masked]>
To: [email-masked]
Date: Mon, 30 Nov 2009 11:44:32 +0000

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug.  If you can, give
a recipe starting from `emacs -Q':

For files that are placed in a subdirectory (where there's no .git) of a
git repo, vc now thinks a file unchanged even if there are changes.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/Applications/Emacs.app/Contents/Resources/etc/DEBUG.

In GNU Emacs 23.1.50.1 (i386-apple-darwin9.8.0, NS apple-appkit-949.54)
 of 2009-11-27 on victoria.local
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default enable-multibyte-characters: t